package modelo;

import java.util.ArrayList; 
import java.util.Date;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.2CAA0C48-529C-5042-CCD4-4FCDACFDE78B]
// </editor-fold> 
public class Parrafo extends ElementosTrazas {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C2246017-E7BE-0D47-DC7B-26856501DE2A]
    // </editor-fold> 
    private String identificacion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.383B1610-6535-1DCE-4ACE-F3E1DBD62064]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.37748622-2E5A-C0A4-7C5B-914FA0B6C574]
    // </editor-fold> 
    private String version;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F20AFFBB-C72A-5B1D-465A-9881B4889EFC]
    // </editor-fold> 
    private Date fecha;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5BEF1F3E-A418-D34D-FD23-19B22AA30FE1]
    // </editor-fold> 
    private ArrayList<Participante> autores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DD667BC2-A508-F96D-1290-D4FB42B06885]
    // </editor-fold> 
    private ArrayList<Participante> fuentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C99B5744-8C9A-2ADC-B1E5-89D93418DCFA]
    // </editor-fold> 
    private String texto;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.4EFBACC1-3AD2-15F9-FECA-3F866B90EBE4]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> destino;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FA37E517-80C2-5AA8-10C9-2CDA9AD94A49]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> origen;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B1417557-FCD9-D228-BBD0-0CB03DA3486E]
    // </editor-fold> 
    private String comentario;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.37748622-2E5A-C0A4-7C5B-914FA0B6C574]
    // </editor-fold>
    private Boolean esElementoGlosario;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7FE885E5-7994-73DE-73A7-94E301793911]
    // </editor-fold> 
    public Parrafo () {
        fecha = new Date();
        autores = new ArrayList<Participante>();
        fuentes = new ArrayList<Participante>();
        destino = new ArrayList<ElementosTrazas>();
        origen = new ArrayList<ElementosTrazas>();
        esElementoGlosario = false;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1CDEA2ED-84CA-B2A6-4F06-A5D6C729BBD8]
    // </editor-fold> 
    public ArrayList<Participante> getAutores () {
        return autores;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.2AFF8BAA-1C07-E128-9C4F-462C3E64871C]
    // </editor-fold> 
    public void setAutores (ArrayList<Participante> val) {
        this.autores = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.BB40438B-923E-C1EC-66A0-3ED86ADB31F3]
    // </editor-fold> 
    public String getComentario () {
        return comentario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B63DEB75-4C9C-010A-6C57-242D3DA41455]
    // </editor-fold> 
    public void setComentario (String val) {
        this.comentario = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E753FAFB-6387-83AD-E58C-54A16A439C52]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getDestino () {
        return destino;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A3DB249B-108B-4669-56C9-3AA31038F484]
    // </editor-fold> 
    public void setDestino (ArrayList<ElementosTrazas> val) {
        this.destino = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.586F6687-9531-140C-FE91-A42368AA11B6]
    // </editor-fold> 
    public Date getFecha () {
        return fecha;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5910A579-6513-9AF1-FC5D-C354E8069540]
    // </editor-fold> 
    public void setFecha (Date val) {
        this.fecha = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.18C9F281-9189-A249-E7CD-5BF44463B0DB]
    // </editor-fold> 
    public ArrayList<Participante> getFuentes () {
        return fuentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F5E79EE0-916E-7473-1133-F41786E5F250]
    // </editor-fold> 
    public void setFuentes (ArrayList<Participante> val) {
        this.fuentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.94C82612-E9B9-3C93-59D4-5348A93F412F]
    // </editor-fold> 
    public String getIdentificacion () {
        return identificacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.03120027-60FC-27BB-DD22-3C07F3E32849]
    // </editor-fold> 
    public void setIdentificacion (String val) {
        this.identificacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5F0A2C44-5A8F-CCA9-5173-1DBB8A74CE6D]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D8D99304-6C6C-1D03-16D2-FEA6D833788A]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.890A6EF8-778A-BB64-18BE-11B2615A20CE]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getOrigen () {
        return origen;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C74E79D5-CF08-2592-4557-6F63E1075EFC]
    // </editor-fold> 
    public void setOrigen (ArrayList<ElementosTrazas> val) {
        this.origen = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1218D5BB-FB66-1038-8EAA-09B250E89566]
    // </editor-fold> 
    public String getTexto () {
        return texto;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9691E699-099E-4A87-885F-DC99D04F32F2]
    // </editor-fold> 
    public void setTexto (String val) {
        this.texto = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9C0FE8DA-3057-C9C1-10EE-6A011EA405BE]
    // </editor-fold> 
    public String getVersion () {
        return version;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.16625A88-CBB1-735A-5078-74730D804125]
    // </editor-fold> 
    public void setVersion (String val) {
        this.version = val;
    }
    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.BB40438B-923E-C1EC-66A0-3ED86ADB31F3]
    // </editor-fold>
    public Boolean getesElementoGlosario () {
        return esElementoGlosario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.B63DEB75-4C9C-010A-6C57-242D3DA41455]
    // </editor-fold>
    public void setesElementoGlosario (Boolean val) {
        this.esElementoGlosario = val;
    }

}

