/*
 *      Luis Israel Diéguez Arjona
 *      Sonia Cejas Soria
 *      Sergio Cabello García
 *      María José González Cordero
 *
 *      Ingeniería del Software de Gestión II
 *      Ingeniería Técnica Informática de Gestión
 *      Universidad de Huelva
 */

package vista;

import controlador.Utilidades;
import java.util.ArrayList;
import java.util.Observable;
import java.util.Observer;
import javax.swing.DefaultListModel;
import javax.swing.JFrame;
import modelo.*;





public class jfAddOrigen extends javax.swing.JFrame implements Observer {
    // Formulario padre
    JFrame padre;
    jfHome home;
    boolean modificado = false;

    // Utilidades
    Utilidades utilidades = new Utilidades();
    // Control del Update de Observers
    int contadorEjecuciones = 0;
    private DefaultListModel modeloLista;


    public jfAddOrigen() {
        initComponents();
  
    }
    public jfAddOrigen(jfHome home, JFrame padre) {
        // Inicializo
        initComponents();
        this.padre = padre;
        this.home = home;

        modeloLista =   new DefaultListModel();
        jList_origen.setModel(modeloLista);

        ArrayList<Parrafo> parrafoOrigen = this.home.documentoRequisitos.getParrafos();
        for (int i = 0; i < parrafoOrigen.size(); i++){
            modeloLista.addElement("(" + parrafoOrigen.get(i).getIdentificacion() + ") " + parrafoOrigen.get(i).getNombre());
        }
        ArrayList<CasoUso> casoUsoOrigen = this.home.documentoRequisitos.getCasosUso();
        for (int i = 0; i < casoUsoOrigen.size(); i++){
            modeloLista.addElement("(" + casoUsoOrigen.get(i).getIdentificacion() + ") " + casoUsoOrigen.get(i).getNombre());
        }
        ArrayList<Imagen> imagenOrigen = this.home.documentoRequisitos.getImagenes();
        for (int i = 0; i < imagenOrigen.size(); i++){
            modeloLista.addElement("(" + imagenOrigen.get(i).getIdentificacion() + ") " + imagenOrigen.get(i).getNombre());
        }
        ArrayList<RequisitoInformacion> reqInformacionOrigen = this.home.documentoRequisitos.getRequisitosInformacion();
        for (int i = 0; i < reqInformacionOrigen.size(); i++){
            modeloLista.addElement("(" + reqInformacionOrigen.get(i).getIdentificacion() + ") " + reqInformacionOrigen.get(i).getNombre());
        }
        ArrayList<RequisitoRestriccion> reqRestriccionfoOrigen = this.home.documentoRequisitos.getRequisitosRestriccion();
        for (int i = 0; i < reqRestriccionfoOrigen.size(); i++){
            modeloLista.addElement("(" + reqRestriccionfoOrigen.get(i).getIdentificacion() + ") " + reqRestriccionfoOrigen.get(i).getNombre());
        }
        ArrayList<RequisitoFuncional> reqFuncionalOrigen = this.home.documentoRequisitos.getRequisitosFuncionales();
        for (int i = 0; i < reqFuncionalOrigen.size(); i++){
            modeloLista.addElement("(" + reqFuncionalOrigen.get(i).getIdentificacion() + ") " + reqFuncionalOrigen.get(i).getNombre());
        }
        ArrayList<RequisitoNoFuncional> reqNoFuncionalOrigen = this.home.documentoRequisitos.getRequisitosNoFuncionales();
        for (int i = 0; i < reqNoFuncionalOrigen.size(); i++){
            modeloLista.addElement("(" + reqNoFuncionalOrigen.get(i).getIdentificacion() + ") " + reqNoFuncionalOrigen.get(i).getNombre());
        }
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jButton_aceptar = new javax.swing.JButton();
        jButton_cancelar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jList_origen = new javax.swing.JList();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Seleccione el destino de la traza");
        setAlwaysOnTop(true);
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosed(java.awt.event.WindowEvent evt) {
                formWindowClosed(evt);
            }
        });

        jPanel1.setPreferredSize(new java.awt.Dimension(563, 306));

        jButton_aceptar.setText("Aceptar");
        jButton_aceptar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_aceptarActionPerformed(evt);
            }
        });

        jButton_cancelar.setText("Cancelar");
        jButton_cancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_cancelarActionPerformed(evt);
            }
        });

        jList_origen.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        jScrollPane1.setViewportView(jList_origen);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 272, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButton_aceptar, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButton_cancelar, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 199, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jButton_aceptar)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton_cancelar)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 396, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 232, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton_cancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_cancelarActionPerformed
        padre.setEnabled(true);
        this.dispose();
}//GEN-LAST:event_jButton_cancelarActionPerformed
    private void formWindowClosed(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowClosed
        padre.setEnabled(true);
        this.dispose();
    }//GEN-LAST:event_formWindowClosed
    private void jButton_aceptarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_aceptarActionPerformed

        boolean puedoCerrar = true;


        // Fin de la captura de los datos desde el formulario
        if (puedoCerrar) {
//            if (modificado == true)
//                home.documentoRequisitos.removeActor(actor.getIdentificacion());
//            // Guardo el Caso de uso
//            home.documentoRequisitos.addActor(actor);
//            // Cierro la ventana

            padre.setEnabled(true);
            this.dispose();
        }
    }//GEN-LAST:event_jButton_aceptarActionPerformed


    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new jfAddOrigen().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton_aceptar;
    private javax.swing.JButton jButton_cancelar;
    private javax.swing.JList jList_origen;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables

    
    
    

    public void update(Observable o, Object arg) {
            home.actualizarTextPane();
    }

}
