package modelo;

import java.util.ArrayList; 
import java.util.Date;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.68BB28A1-188D-A2C5-722D-AA8C36E0C9D5]
// </editor-fold> 
public class RequisitoInformacion extends ElementosTrazas {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.20AB714A-E649-4E9A-30E1-3F181AB31ED8]
    // </editor-fold> 
    private String identificacion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.603D42DC-691E-320C-ED9E-E99D8984470E]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E9401C4B-A51A-C9D4-3E17-78364B48D7F6]
    // </editor-fold> 
    private String version;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.6D971ECC-63E3-EDB9-2A44-3B5CBE4AE532]
    // </editor-fold> 
    private Date fecha;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.CB9510E3-C209-2373-2AF4-36B92FB3D39F]
    // </editor-fold> 
    private ArrayList<Participante> autores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5B647914-67CC-FD68-0859-0CA1924827D9]
    // </editor-fold> 
    private ArrayList<Participante> fuentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3C073E03-707E-48C2-4D50-E88FA2C67242]
    // </editor-fold> 
    private String conceptoRelevante;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.462F1916-1435-9D2C-B310-DE228FC4E62C]
    // </editor-fold> 
    private int valorMaxVida;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FBCDFE82-F266-B311-6230-5E2FC9C3F337]
    // </editor-fold> 
    private String unidadTiempoMaxVida;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E18266EA-844B-0686-1B16-5801D3EBF68C]
    // </editor-fold> 
    private int valorMedioVida;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.509E07F3-FA9E-F109-56B5-716EDF978435]
    // </editor-fold> 
    private String unidadTiempoMedioVida;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C415AEEA-26D8-882E-4C75-86A5932739A7]
    // </editor-fold> 
    private int ocurrenciasMaxima;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7BA606FA-EB45-8F0B-9C1D-43166C09EFC2]
    // </editor-fold> 
    private int ocurrenciasMedia;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.2AB34ED6-CE36-2C3A-2C76-4702CC04C022]
    // </editor-fold> 
    private String importancia;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D3426EC2-4801-BBA4-0AFD-2D151850E72B]
    // </editor-fold> 
    private String urgencia;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C4DC2B75-28A4-B62C-5085-DB7B9663E4C7]
    // </editor-fold> 
    private String estadoDesarrollo;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BB2D2EF7-9CD5-0158-D61C-1E4D45433E6B]
    // </editor-fold> 
    private String estabilidad;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FBA6CA43-2980-46E3-0F26-A9161E8FA80E]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> destino;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C724ADE1-5360-B39A-2433-882B75E84064]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> origen;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.4D0D08EC-E1E0-7BD0-4B44-A8A3BE028CBB]
    // </editor-fold> 
    private String comentario;
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C2144E43-EBEC-1255-456F-A85C65713524]
    // </editor-fold> 
    private ArrayList<DatoEspecifico> datoEspecifico;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AA1A141B-5072-BC7E-161B-44CDB0A28C20]
    // </editor-fold> 
    public RequisitoInformacion () {
        fecha = new Date();
        autores = new ArrayList<Participante>();
        fuentes = new ArrayList<Participante>();
        destino = new ArrayList<ElementosTrazas>();
        origen = new ArrayList<ElementosTrazas>();
        datoEspecifico = new ArrayList<DatoEspecifico>();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A8182F02-2721-2198-58CD-D22F97BE80BA]
    // </editor-fold> 
    public ArrayList<Participante> getAutores () {
        return autores;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D2338938-C7CD-9140-620F-5B63FBE024F4]
    // </editor-fold> 
    public void setAutores (ArrayList<Participante> val) {
        this.autores = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A7962FC5-A946-A0B4-25E8-A33A7DF09489]
    // </editor-fold> 
    public String getComentario () {
        return comentario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8F271634-E293-54A6-9D85-37FED9921539]
    // </editor-fold> 
    public void setComentario (String val) {
        this.comentario = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A8C30B9C-C052-660B-105E-3978234CBC55]
    // </editor-fold> 
    public String getConceptoRelevante () {
        return conceptoRelevante;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.2F9155FA-7515-2A0B-C958-05811C08CB93]
    // </editor-fold> 
    public void setConceptoRelevante (String val) {
        this.conceptoRelevante = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FA0962E6-4F56-4BF1-E24F-99A853E21B05]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getDestino () {
        return destino;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C9F07686-66F8-67A2-B137-2716E3E69F0F]
    // </editor-fold> 
    public void setDestino (ArrayList<ElementosTrazas> val) {
        this.destino = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.96B212EE-E4A7-8A89-281C-9BADE8E727FD]
    // </editor-fold> 
    public String getEstabilidad () {
        return estabilidad;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.877C2820-7673-0C22-CE65-ADEBA7B29A24]
    // </editor-fold> 
    public void setEstabilidad (String val) {
        this.estabilidad = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1DE9D229-D81B-B8BA-AE87-E2141E82085E]
    // </editor-fold> 
    public String getEstadoDesarrollo () {
        return estadoDesarrollo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D4B415BE-B811-6609-29C2-F7D828104797]
    // </editor-fold> 
    public void setEstadoDesarrollo (String val) {
        this.estadoDesarrollo = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D47828F8-4843-C29A-2553-20DD6DF4C0C7]
    // </editor-fold> 
    public Date getFecha () {
        return fecha;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B4E6E2B9-F5DF-C957-E281-7065A6CA534A]
    // </editor-fold> 
    public void setFecha (Date val) {
        this.fecha = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7BC27812-19E3-24E6-45FE-8BE57202AA99]
    // </editor-fold> 
    public ArrayList<Participante> getFuentes () {
        return fuentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.55F34031-F299-E0FB-03BC-BC1C8C78AADF]
    // </editor-fold> 
    public void setFuentes (ArrayList<Participante> val) {
        this.fuentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.75F10FBF-AA7E-4ABC-7AC8-AB3A86BC33F5]
    // </editor-fold> 
    public String getIdentificacion () {
        return identificacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5FE7CF2F-5259-DCCC-6CC8-70B372600BF6]
    // </editor-fold> 
    public void setIdentificacion (String val) {
        this.identificacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E9E827B2-0C36-D02F-468A-EB65F26B1988]
    // </editor-fold> 
    public String getImportancia () {
        return importancia;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7397660D-5B3C-624C-DD44-127FB04490D9]
    // </editor-fold> 
    public void setImportancia (String val) {
        this.importancia = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.54D01608-5D3B-875C-D48C-245BAE4A0261]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7DCB8E69-9881-E9EC-2BFF-ADB640D33BC2]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.392D6008-70E6-9789-7341-BB4E10245F38]
    // </editor-fold> 
    public int getOcurrenciasMaxima () {
        return ocurrenciasMaxima;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8D023C0E-1C96-6FF1-A399-F69C152A18D8]
    // </editor-fold> 
    public void setOcurrenciasMaxima (int val) {
        this.ocurrenciasMaxima = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.0A482660-3F35-198A-F847-3A6F05BC0384]
    // </editor-fold> 
    public int getOcurrenciasMedia () {
        return ocurrenciasMedia;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C4FDAAF9-E74B-31C5-467B-24C1D37CEB39]
    // </editor-fold> 
    public void setOcurrenciasMedia (int val) {
        this.ocurrenciasMedia = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D1461E18-2351-13BE-49F7-E3EE7FD4E05F]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getOrigen () {
        return origen;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.50C47F35-70D9-44DD-780C-4902FA7531C4]
    // </editor-fold> 
    public void setOrigen (ArrayList<ElementosTrazas> val) {
        this.origen = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.810C4AEA-C474-4D7F-8DEA-DE75C6231B8D]
    // </editor-fold> 
    public String getUnidadTiempoMaxVida () {
        return unidadTiempoMaxVida;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.927F501A-FFEC-89AC-FE79-C0E91B6F7FE5]
    // </editor-fold> 
    public void setUnidadTiempoMaxVida (String val) {
        this.unidadTiempoMaxVida = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.EC3634BD-2F24-B0D5-B799-1EE73A21AF35]
    // </editor-fold> 
    public String getUnidadTiempoMedioVida () {
        return unidadTiempoMedioVida;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5FA827CD-6DC9-681E-87AC-55B36946C2AA]
    // </editor-fold> 
    public void setUnidadTiempoMedioVida (String val) {
        this.unidadTiempoMedioVida = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D1E030BE-7853-9E31-BBA2-99027D8C680A]
    // </editor-fold> 
    public String getUrgencia () {
        return urgencia;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AA394F13-0F02-39AF-95B2-AB463583DC0E]
    // </editor-fold> 
    public void setUrgencia (String val) {
        this.urgencia = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7D0C15A8-0D01-699D-F211-41EC0092A2B0]
    // </editor-fold> 
    public int getValorMaxVida () {
        return valorMaxVida;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C4E17386-1246-F4C8-E0EC-8B58F6535C6A]
    // </editor-fold> 
    public void setValorMaxVida (int val) {
        this.valorMaxVida = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.EB99BF5A-DCDF-598E-A571-3BF3C2A5194F]
    // </editor-fold> 
    public int getValorMedioVida () {
        return valorMedioVida;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B5365729-C795-7CC8-F5E0-A8B2AAB97D2E]
    // </editor-fold> 
    public void setValorMedioVida (int val) {
        this.valorMedioVida = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CEDB63B2-47AC-13CB-7FAF-8B9A766A7DC7]
    // </editor-fold> 
    public String getVersion () {
        return version;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FA1CF169-370A-FB7A-23B2-D1B9CE763588]
    // </editor-fold> 
    public void setVersion (String val) {
        this.version = val;
    }
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FAEBD74A-BD73-EF72-571C-D3755F7A19B6]
    // </editor-fold> 
    public ArrayList<DatoEspecifico> getDatoEspecifico () {
        return datoEspecifico;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.3DFD9548-4CAF-A32D-23AA-4339BF9BF39C]
    // </editor-fold> 
    public void setDatoEspecifico (ArrayList<DatoEspecifico> val) {
        this.datoEspecifico = val;
    }

}

